%global libname toml

%global commit 03e8a3ab1d4d014e63a2befe8a48e74783a81521
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           lib%{libname}
Version:        0
Release:        4.20161213git%{shortcommit}%{?dist}
Summary:        Fast C parser using Ragel to generate the state machine.

License:        BSD
URL:            https://github.com/ajwans/libtoml
Source0:        %{url}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz

# https://github.com/ajwans/libtoml/pull/15
Patch0001:      0001-add-meson-buildsystem-as-experiment.patch

BuildRequires:  gcc
BuildRequires:  meson
BuildRequires:  %{_bindir}/ragel
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(cunit)

%description
%{summary}.

%package devel
Summary:        Development libraries and header files for %{name}
Requires:       %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -n %{name}-%{commit} -p1

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE
%{_bindir}/%{libname}
%{_libdir}/%{name}.so.*

%files devel
%{_includedir}/%{libname}.h
%{_libdir}/%{name}.so

%changelog
* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20161213git03e8a3a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20161213git03e8a3a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-2.20161213git03e8a3a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0-1.20161213git03e8a3a
- Initial package
